You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
37 lines
1.3 KiB
37 lines
1.3 KiB
6 years ago
|
From 7cddfbbadbc40a4b6d331be25a3c38ad3a52239b Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Thu, 10 Sep 2015 13:21:53 +0200
|
||
|
Subject: [PATCH] iscsi/iscsiroot.sh: use all_ifaces_setup()
|
||
|
|
||
|
we want the route and gateway setup
|
||
|
---
|
||
|
modules.d/95iscsi/iscsiroot.sh | 6 +++---
|
||
|
1 file changed, 3 insertions(+), 3 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
||
|
index 7688b282..424d2166 100755
|
||
|
--- a/modules.d/95iscsi/iscsiroot.sh
|
||
|
+++ b/modules.d/95iscsi/iscsiroot.sh
|
||
|
@@ -108,7 +108,7 @@ handle_netroot()
|
||
|
parse_iscsi_root "$1" || return 1
|
||
|
|
||
|
# Bail out early, if there is no route to the destination
|
||
|
- if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_up && getargbool 1 rd.iscsi.testroute; then
|
||
|
+ if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_setup && getargbool 1 rd.iscsi.testroute; then
|
||
|
ip route get "$iscsi_target_ip" >/dev/null 2>&1 || return 0
|
||
|
fi
|
||
|
|
||
|
@@ -227,10 +227,10 @@ handle_netroot()
|
||
|
ret=0
|
||
|
|
||
|
if [ "$netif" != "timeout" ] && getargbool 1 rd.iscsi.waitnet; then
|
||
|
- all_ifaces_up || exit 0
|
||
|
+ all_ifaces_setup || exit 0
|
||
|
fi
|
||
|
|
||
|
-if [ "$netif" = "timeout" ] && all_ifaces_up; then
|
||
|
+if [ "$netif" = "timeout" ] && all_ifaces_setup; then
|
||
|
# s.th. went wrong and the timeout script hits
|
||
|
# restart
|
||
|
systemctl restart iscsid
|